# Class EmptyElement

#### Hierarchy

- XmlComponent
  - EmptyElement
    - NoBreakHyphen
    - SoftHyphen
    - DayShort
    - MonthShort
    - YearShort
    - DayLong
    - MonthLong
    - YearLong
    - AnnotationReference
    - FootnoteReferenceElement
    - EndnoteReference
    - Separator
    - ContinuationSeparator
    - PageNumberElement
    - CarriageReturn
    - Tab
    - LastRenderedPageBreak

- Defined in src/file/xml-components/simple-elements.ts:44

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new EmptyElement(rootKey): EmptyElement

- #### Parameters

  - ##### rootKey: string

  #### Returns EmptyElement

  Inherited from XmlComponent.constructor

  - Defined in src/file/xml-components/xml-component.ts:10

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc